diff -r -c -b -N cosmomc/source/params_CMB.f90 cosmomc_wiggles/source/params_CMB.f90
*** cosmomc/source/params_CMB.f90	2009-10-02 12:16:48.000000000 +0200
--- cosmomc_wiggles/source/params_CMB.f90	2009-10-28 16:36:42.824459670 +0100
***************
*** 57,80 ****
         integer, intent(in) :: in
  
  
         if (Power_Name == 'power_tilt') then
  
-        P%InitPower%k_0_scalar = pivot_k
-        P%InitPower%k_0_tensor = pivot_k
- 
         P%InitPower%ScalarPowerAmp(in) = cl_norm*CMB%norm(norm_As)
         P%InitPower%rat(in) = CMB%norm(norm_amp_ratio)
          
         P%InitPower%an(in) = CMB%InitPower(1)
         P%InitPower%ant(in) = CMB%InitPower(2)
         P%InitPower%n_run(in) = CMB%InitPower(3)
!        if (inflation_consistency) then
!          P%InitPower%ant(in) = - CMB%norm(norm_amp_ratio)/8.
!           !note input n_T is ignored, so should be fixed (to anything)
!        end if
         else
           stop 'params_CMB:Wrong initial power spectrum'
         end if
  
      end subroutine SetCAMBInitPower
   
--- 57,118 ----
         integer, intent(in) :: in
  
  
+ !wig
         if (Power_Name == 'power_tilt') then
  
         P%InitPower%ScalarPowerAmp(in) = cl_norm*CMB%norm(norm_As)
         P%InitPower%rat(in) = CMB%norm(norm_amp_ratio)
          
         P%InitPower%an(in) = CMB%InitPower(1)
         P%InitPower%ant(in) = CMB%InitPower(2)
         P%InitPower%n_run(in) = CMB%InitPower(3)
! 
!           P%InitPower%logomega(in) = CMB%InitPower(5)
!           P%InitPower%omega(in) = 10**(P%InitPower%logomega(in))
!           P%InitPower%amposc(in) = CMB%InitPower(6)          
!           P%InitPower%phase(in) = CMB%InitPower(7)
!           P%InitPower%logpowosc(in) = CMB%InitPower(8)
!           P%InitPower%powosc(in) = 10**(P%InitPower%logpowosc(in))
!           
!        elseif (Power_Name == 'power_sr') then
!          
!           P%InitPower%P_scalar =  cl_norm*CMB%norm(norm_As)
!           P%InitPower%eps1(in) =  CMB%InitPower(1)
!           P%InitPower%eps2(in) =  CMB%InitPower(2)
!           P%InitPower%eps3(in) =  CMB%InitPower(3)
! 
!           P%InitPower%logeps1invsigma0(in) = CMB%InitPower(5)
!           P%InitPower%loginvsigma0(in) = P%InitPower%logeps1invsigma0(in) &
!                - log10(P%InitPower%eps1(in))
!           P%InitPower%invsigma0(in) = 10**(P%InitPower%loginvsigma0(in))
!           P%InitPower%Xsigma0(in) = CMB%InitPower(6)
!           P%InitPower%varphi(in)  = CMB%InitPower(7)
!           !CMB%InitPower(7) unused.
!           CMB%InitPower(7) = 1./P%InitPower%invsigma0(in)
! 
!        elseif (Power_Name == 'power_dbi') then
! 
!           P%InitPower%P_scalar =  cl_norm*CMB%norm(norm_As)
!           P%InitPower%eps1(in) =  10.**(CMB%InitPower(4))
!           P%InitPower%del1(in) = P%InitPower%eps1(in) - CMB%InitPower(1)
!           P%InitPower%eps2(in) =  CMB%InitPower(2) - P%InitPower%del1(in)
!           P%InitPower%eps3(in) =  CMB%InitPower(3)
! 
!           P%InitPower%logeps1invsigma0(in) = CMB%InitPower(5)
!           P%InitPower%loginvsigma0(in) = P%InitPower%logeps1invsigma0(in) &
!                - log10(P%InitPower%eps1(in))
!           P%InitPower%invsigma0(in) = 10**(P%InitPower%loginvsigma0(in))
!           P%InitPower%Xsigma0(in) = CMB%InitPower(6)
!           P%InitPower%varphi(in)  = CMB%InitPower(7)
!           !CMB%InitPower(7) unused.
!           CMB%InitPower(7) = 1./P%InitPower%invsigma0(in)
! 
!           P%InitPower%gam(in) = 10**(-CMB%InitPower(8))*P%InitPower%eps1(in)
! 
         else
           stop 'params_CMB:Wrong initial power spectrum'
         end if
+ !end wig
  
      end subroutine SetCAMBInitPower
   
diff -r -c -b -N cosmomc/source/settings.f90 cosmomc_wiggles/source/settings.f90
*** cosmomc/source/settings.f90	2009-10-22 11:33:09.000000000 +0200
--- cosmomc_wiggles/source/settings.f90	2009-10-28 16:37:31.028218127 +0100
***************
*** 6,11 ****
--- 6,18 ----
    implicit none
  
    real :: AccuracyLevel = 1.
+ !wig
+   real :: lAccuracyLevel = 1.
+   real :: lSampleLevel = 1.
+   real :: kSrcSampleLevel = 1.
+   real :: kIntSampleLevel = 1.
+   logical :: CambComputeEveryl = .false.
+ !end wig
    !Set to >1 to use CAMB etc on higher accuracy settings. 
    !Does not affect MCMC (except making it all slower)
  
***************
*** 19,25 ****
  !                    (e.g. beam uncertainty modes, etc, specific to dataset)
  
    integer, parameter :: num_hard =7 
!   integer, parameter :: num_initpower = 3 
    integer, parameter :: num_freq_params = 1
    integer, parameter :: num_norm = 2 + num_freq_params 
    integer, parameter :: num_nuisance_params= 0
--- 26,35 ----
  !                    (e.g. beam uncertainty modes, etc, specific to dataset)
  
    integer, parameter :: num_hard =7 
! !wig
! !  integer, parameter :: num_initpower = 3 
!   integer, parameter :: num_initpower = 8
! !end wig
    integer, parameter :: num_freq_params = 1
    integer, parameter :: num_norm = 2 + num_freq_params 
    integer, parameter :: num_nuisance_params= 0
***************
*** 61,66 ****
--- 71,79 ----
  
    integer :: num_threads = 0
    integer :: instance = 0
+ !wig
+   integer :: instance_shift = 0
+ !end wig
    integer :: MPIchains = 1, MPIrank = 0
  
    logical :: Use_LSS = .true.
